gsm341_etws_message Struct Reference

`#include <gsm_03_41.h>`

## Data Fields

struct {
uint8_t gs:2
uint8_t alert:1
uint8_t popup:1
uint8_t code_hi:4
uint8_t code_lo:4
uint8_t update:4
} | serial
uint16_t | msg_id
uint16_t | warning_type
uint8_t | data [0]

## Field Documentation

## alert

uint8_t gsm341_etws_message::alert

## code_hi

uint8_t gsm341_etws_message::code_hi

## code_lo

uint8_t gsm341_etws_message::code_lo

## data

uint8_t gsm341_etws_message::data[0]

## gs

uint8_t gsm341_etws_message::gs

## msg_id

uint16_t gsm341_etws_message::msg_id

## popup

uint8_t gsm341_etws_message::popup

## serial

struct { ... } gsm341_etws_message::serial

## update

uint8_t gsm341_etws_message::update

## warning_type

uint16_t gsm341_etws_message::warning_type

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_03_41.h